.footer {
  // .footer__contant
  &__contant {
    display: flex;
    max-width: 1185px;
    padding-bottom: 50px;
    min-height: 210px;
    position: relative;
    flex-wrap: wrap;
  }
  // .footer__contant-backgroung
  &__contant-backgroung {
    position: absolute;
    top: -839px;
    left: -2377px;
    z-index: -1;
  }
  // .footer__lang
  &__lang {
    margin: 0px 125px 30px 0px;
  }
  // .footer__links
  &__links {
    flex: 1 1;
    margin: 0px 0px 30px 0px;
  }
  // .footer__contacts
  &__contacts {
    max-width: 255px;
  }
  // .footer__bottom
  &__bottom {
  }
  @media (max-width: $md1) {
  }
}

.lang {
  position: relative;
  // .lang__current
  &__current {
    display: flex;
    align-items: center;
  }
  // .lang__current-icon
  &__current-icon {
    margin: 0px 12px 0px 0px;
  }
  // .lang__current-arrow
  &__current-arrow {
    width: 9px;
    height: 6px;
  }
  // .lang__current-title
  &__current-title {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: transparent;
    padding: 3px 10px;
    border-radius: 10px;
    width: 100px;
    span {
      font-family: $fontRegular;
      font-size: 14px;
      line-height: 23px;
      padding: 0px 12px 0px 0px;
      color: #677897;
    }
    &:hover,
    &.active {
      background-color: #fff;
      box-shadow: 3px 3px 6px rgba(0, 0, 0, 0.1), -3px -3px 6px rgba(255, 255, 255, 0.3);
    }
  }
  // .lang__dropdown
  &__dropdown {
    position: absolute;
    right: 0px;
    top: 35px;
    box-shadow: 3px 3px 6px rgba(0, 0, 0, 0.1), -3px -3px 6px rgba(255, 255, 255, 0.3);
    border-radius: 10px;
    overflow: hidden;
    width: 100px;
    transition: 0.3s;
    height: 0px;
    background-color: #fff;
    &.active {
      height: 84px;
    }
    ul {
      li {
        color: #677897;
        font-family: $fontRegular;
        font-size: 14px;
        &.active,
        &:hover {
          background: linear-gradient(90deg, #148ae2, #0abbee);
          color: #fff;
          transition: 0.3s;
        }
        a {
          color: inherit;
          padding: 7px 10px;
          display: block;
        }
      }
    }
  }
}

.f-links {
  display: flex;
  // .f-links__link
  &__link {
    margin: 0px 0px 10px 0px;
    a {
      font-family: $fontRegular;
      font-size: 16px;
      line-height: 23px;
      color: #7887a7;
      &:hover {
        text-decoration: underline;
      }
    }
  }
  // .f-links__column
  &__column {
    // .f-links__column_opacity
    &_opacity {
      margin-left: 90px;
      margin-right: 30px;
      a {
        color: #b0b9ca;
      }
    }
  }
  @media (max-width: $md3) {
    &__link {
      a {
        font-size: 14px;
        line-height: 20px;
      }
    }
    &__column {
      &_opacity {
        margin-left: 20px;
        margin-right: 0px;
      }
    }
  }
}
.f-contacts {
  // .f-contacts__adress
  &__adress {
    display: flex;
    margin: 0px 0px 75px 0px;
  }
  // .f-contacts__adress-text
  &__adress-text {
    text-align: end;
    padding-right: 15px;
    font-family: $fontRegular;
    font-size: 16px;
    line-height: 30px;
    color: #b0b9ca;
  }
  // .f-contacts__adress-icon
  &__adress-icon {
    width: 20px;
    height: 24px;
    margin-top: 10px;
  }
  // .f-contacts__socials
  &__socials {
    ul {
      display: flex;
      width: 255px;
      justify-content: space-between;
      li {
        a {
          img {
            width: 33px;
            height: 33px;
            border-radius: 50%;
          }
        }
      }
    }
  }
}
.f-bottom {
  background-color: rgba(247, 181, 0, 0.58);
  height: 50px;
  // .f-bottom__container
  &__container {
    max-width: 1185px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    height: 100%;
  }
  // .f-bottom__logo
  &__logo {
    position: absolute;
    left: 10px;
  }
  // .f-bottom__text
  &__text {
    font-family: $fontRegular;
    font-size: 12px;
    color: #2a4560;
  }
}
